﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kostka2
{
    public partial class Kostka : Form
    {
        public Kostka()
        {
            InitializeComponent();
        }

        int pozice = 1;

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
            Graphics KP = e.Graphics;
            Pen Pero = new Pen(Color.Black, 25);

            int sirkaPanel = panel1.Width;
            int vyskaPanel = panel1.Height;
            int koule = 25;

            if (pozice == 1)
            {
                KP.DrawEllipse(Pero, (sirkaPanel - koule) / 2, (vyskaPanel - koule) / 2, koule, koule); //1
            }
            else if (pozice == 2)
            {
                KP.DrawEllipse(Pero, 80, 80, koule, koule); //1
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, (vyskaPanel - koule) - 80, koule, koule); //2
            }
            else if (pozice == 3)
            {
                KP.DrawEllipse(Pero, 80, 80, koule, koule); //1
                KP.DrawEllipse(Pero, (sirkaPanel - koule) / 2, (vyskaPanel - koule) / 2, koule, koule); //2
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, (vyskaPanel - koule) - 80, koule, koule); //3
            }
            else if (pozice == 4)
            {
                KP.DrawEllipse(Pero, 80, 80, koule, koule); //1
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, 80, koule, koule); //2
                KP.DrawEllipse(Pero, 80, (vyskaPanel - koule) - 80, koule, koule); //3
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, (vyskaPanel - koule) - 80, koule, koule); //4
            }
            else if (pozice == 5)
            {
                KP.DrawEllipse(Pero, 80, 80, koule, koule); //1
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, 80, koule, koule); //2
                KP.DrawEllipse(Pero, 80, (vyskaPanel - koule) - 80, koule, koule); //3
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, (vyskaPanel - koule) - 80, koule, koule); //4
                KP.DrawEllipse(Pero, (sirkaPanel - koule) / 2, (vyskaPanel - koule) / 2, koule, koule); //5
            }
            else if (pozice == 6)
            {
                //Levý sloupec
                KP.DrawEllipse(Pero, 80, 80, koule, koule); //1
                KP.DrawEllipse(Pero, 80, (vyskaPanel - koule) / 2, koule, koule); //2
                KP.DrawEllipse(Pero, 80, (vyskaPanel - koule) - 80, koule, koule); //3

                //Pravý sloupec
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, 80, koule, koule); //4
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, (vyskaPanel - koule) / 2, koule, koule); //5
                KP.DrawEllipse(Pero, (sirkaPanel - koule) - 80, (vyskaPanel - koule) - 80, koule, koule); //6

                //Vyresetovat pozice
                pozice = 0;
            }
        }

        private void TlacStart_Click(object sender, EventArgs e)
        {
            Stopky.Enabled = true;
            panel1.Refresh();
        }

        private void TlacStop_Click(object sender, EventArgs e)
        {
            Stopky.Enabled = false;
        }

        private void Stopky_Tick(object sender, EventArgs e)
        {
            pozice++;
            panel1.Refresh();
        }

        private void TlacZavrit_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void TlacGeneruj_MouseClick(object sender, MouseEventArgs e)
        {
            Random loterie = new Random();
            int nahodneCislo = loterie.Next(1, 6);

            string titulek = this.Text + " ";
            try
            {
                string[] titulekRozdeleny = titulek.Split('(');
                this.Text = titulekRozdeleny[0] + "(" + nahodneCislo + ")";
            }
            catch
            {
                this.Text = this.Text + "(" + nahodneCislo + ")";
            }

            pozice = nahodneCislo;
            panel1.Refresh();
        }

        private void Kostka_Load(object sender, EventArgs e)
        {

        }
    }
}
